MPE_Errors_call_debugger(4)

NAME
MPE_Errors_call_debugger - On an error, print a message and (attempt) to start the specified debugger on the program

SYNOPSIS
void MPE_Errors_call_debugger( pgm, dbg, args )
char *pgm, *dbg, **args;

INPUT PARAMETERS
pgm - Name of the program.
dbg - Name of the debugger. If null, use a default (usually dbx)
args
    - arguments to use in generating the debugger. This allows things like "'xterm -e dbx pgm pid'", or "'xdbx -geometry +%d+%d pgm pid'". The list should be null terminated. (The '%d %d' format is not yet supported).

NOTES
You may need to ignore some signals, depending on the signals that the MPICH and underlying communications code is using. You can do this in dbx by adding "ignore signal-name" to your .dbxinit file. For example, to ignore 'SIGUSR1', use "'ignore USR1'". Currently, there is no Fortran interface for this routine.

LOCATION